# UI\Draw\Pen::fill

(PHP 7, UI 0.9.9)

UI\Draw\Pen::fill — Fill a Path

### Description

public UI\Draw\Pen::fill ( UI\Draw\Path `$path` , UI\Draw\Brush `$with` )
public UI\Draw\Pen::fill ( UI\Draw\Path `$path` , UI\Draw\Color `$with` )
public UI\Draw\Pen::fill ( UI\Draw\Path `$path` , int `$with` )

Shall fill the given path

### Parameters

`path`

  The path to fill

`with`

  The color or brush to fill with